Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolButton

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QStyleOption
                      com.trolltech.qt.gui.QStyleOptionComplex
                          com.trolltech.qt.gui.QStyleOptionToolButton

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QStyleOptionToolButton

extends QStyleOptionComplex
implements java.lang.Cloneable

The QStyleOptionToolButton class is used to describe the parameters for drawing a tool button. QStyleOptionToolButton contains all the information that `QStyle` functions need to draw `QToolButton`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOption`, `QStyleOptionComplex`, and `QStyleOptionButton`.

Nested Class Summary
`static class` | `QStyleOptionToolButton.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionToolButton.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionToolButton.ToolButtonFeature` Describes the various features that a tool button can have.
`static class` | `QStyleOptionToolButton.ToolButtonFeatures`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QStyleOptionToolButton()` Constructs a QStyleOptionToolButton, initializing the members variables to their default values.
`QStyleOptionToolButton(QStyleOptionToolButton other)` Constructs a copy of the `other` style option.

Method Summary
`Qt.ArrowType` | `arrowType()` This variable holds the direction of the arrow for the tool button.
`QStyleOptionToolButton` | `clone()` This method is reimplemented for internal reasons
`QStyleOptionToolButton.ToolButtonFeatures` | `features()` This variable holds an OR combination of the tool button's features.
`QFont` | `font()` This variable holds the font that is used for the text.
`QIcon` | `icon()` This variable holds the icon for the tool button.
`QSize` | `iconSize()` This variable holds the size of the icon for the tool button.
`QPoint` | `pos()` This variable holds the position of the tool button.
`void` | `setArrowType(Qt.ArrowType arrowType)` This variable holds the direction of the arrow for the tool button.
`void` | `setFeatures(QStyleOptionToolButton.ToolButtonFeature[] features)`
`void` | `setFeatures(QStyleOptionToolButton.ToolButtonFeatures features)` This variable holds an OR combination of the tool button's features.
`void` | `setFont(QFont font)` This variable holds the font that is used for the text.
`void` | `setIcon(QIcon icon)` This variable holds the icon for the tool button.
`void` | `setIconSize(QSize iconSize)` This variable holds the size of the icon for the tool button.
`void` | `setPos(QPoint pos)` This variable holds the position of the tool button.
`void` | `setText(java.lang.String text)` This variable holds the text of the tool button.
`void` | `setToolButtonStyle(Qt.ToolButtonStyle toolButtonStyle)` This variable holds a `Qt::ToolButtonStyle` value describing the appearance of the tool button.
`java.lang.String` | `text()` This variable holds the text of the tool button.
`Qt.ToolButtonStyle` | `toolButtonStyle()` This variable holds a `Qt::ToolButtonStyle` value describing the appearance of the tool button.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionToolButton

    public QStyleOptionToolButton()

  Constructs a QStyleOptionToolButton, initializing the members variables to their default values.

### QStyleOptionToolButton

    public QStyleOptionToolButton(QStyleOptionToolButton other)

  Constructs a copy of the `other` style option.

Method Detail

### setIconSize

    public final void setIconSize(QSize iconSize)

  This variable holds the size of the icon for the tool button. The default value is `QSize`(-1, -1), i.e. an invalid size.

### iconSize

    public final QSize iconSize()

  This variable holds the size of the icon for the tool button. The default value is `QSize`(-1, -1), i.e. an invalid size.

### setToolButtonStyle

    public final void setToolButtonStyle(Qt.ToolButtonStyle toolButtonStyle)

  This variable holds a `Qt::ToolButtonStyle` value describing the appearance of the tool button. The default value is `Qt::ToolButtonIconOnly` .

See also:
  `QToolButton::toolButtonStyle()`.

### toolButtonStyle

    public final Qt.ToolButtonStyle toolButtonStyle()

  This variable holds a `Qt::ToolButtonStyle` value describing the appearance of the tool button. The default value is `Qt::ToolButtonIconOnly` .

See also:
  `QToolButton::toolButtonStyle()`.

### setFeatures

    public final void setFeatures(QStyleOptionToolButton.ToolButtonFeature[] features)

### setFeatures

    public final void setFeatures(QStyleOptionToolButton.ToolButtonFeatures features)

  This variable holds an OR combination of the tool button's features. The default value is `None` .

See also:
  `ToolButtonFeature` .

### features

    public final QStyleOptionToolButton.ToolButtonFeatures features()

  This variable holds an OR combination of the tool button's features. The default value is `None` .

See also:
  `ToolButtonFeature` .

### setArrowType

    public final void setArrowType(Qt.ArrowType arrowType)

  This variable holds the direction of the arrow for the tool button. This value is only used if features includes `Arrow` . The default value is `Qt::DownArrow` .

### arrowType

    public final Qt.ArrowType arrowType()

  This variable holds the direction of the arrow for the tool button. This value is only used if features includes `Arrow` . The default value is `Qt::DownArrow` .

### setIcon

    public final void setIcon(QIcon icon)

  This variable holds the icon for the tool button. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

See also:
  iconSize.

### icon

    public final QIcon icon()

  This variable holds the icon for the tool button. The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

See also:
  iconSize.

### setPos

    public final void setPos(QPoint pos)

  This variable holds the position of the tool button. The default value is a null point, i.e. (0, 0)

### pos

    public final QPoint pos()

  This variable holds the position of the tool button. The default value is a null point, i.e. (0, 0)

### setText

    public final void setText(java.lang.String text)

  This variable holds the text of the tool button. This value is only used if toolButtonStyle is `Qt::ToolButtonTextUnderIcon` , `Qt::ToolButtonTextBesideIcon` , or `Qt::ToolButtonTextOnly` . The default value is an empty string.

### text

    public final java.lang.String text()

  This variable holds the text of the tool button. This value is only used if toolButtonStyle is `Qt::ToolButtonTextUnderIcon` , `Qt::ToolButtonTextBesideIcon` , or `Qt::ToolButtonTextOnly` . The default value is an empty string.

### setFont

    public final void setFont(QFont font)

  This variable holds the font that is used for the text. This value is only used if toolButtonStyle is `Qt::ToolButtonTextUnderIcon` , `Qt::ToolButtonTextBesideIcon` , or `Qt::ToolButtonTextOnly` . By default, the application's default font is used.

### font

    public final QFont font()

  This variable holds the font that is used for the text. This value is only used if toolButtonStyle is `Qt::ToolButtonTextUnderIcon` , `Qt::ToolButtonTextBesideIcon` , or `Qt::ToolButtonTextOnly` . By default, the application's default font is used.

### clone

    public QStyleOptionToolButton clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOptionComplex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD